
package de.ivu.elect.presentation.stimmeingabe.exchange;

import de.ivu.elect.business.exchange.entity.DateiImportArt;
import de.ivu.elect.business.security.UseCasePermission;
import de.ivu.elect.jee.exchange.ImportOptions;
import de.ivu.elect.presentation.exchange.ImportDescription;
import de.ivu.elect.presentation.stimmeingabe.menu.StimmeingabePageMenu;

public class StimmeingabePlausiKonfigurationImportDescription implements ImportDescription {

  private static final long serialVersionUID = 1L;

  @Override
  public String getImportSearchViewId() {
    return StimmeingabePlausiKonfigurationImportSearchView.VIEW_ID;
  }

  @Override
  public String getImportFormatFestlegenViewId() {
    return StimmeingabePlausiKonfigurationImportFormatFestlegenView.VIEW_ID;
  }

  @Override
  public String getImportBestaetigenViewId() {
    return StimmeingabePlausiKonfigurationImportBestaetigenView.VIEW_ID;
  }

  @Override
  public DateiImportArt getDateiImportArt() {
    return DateiImportArt.STIMMEINGABE_PLAUSI_KONFIGURATION_IMPORT;
  }

  @Override
  public boolean isConfirmationForImportNeeded() {
    return false;
  }

  @Override
  public UseCasePermission getUseCasePermission() {
    return UseCasePermission.STIMMEINGABE_PLAUSI_IMPORTIEREN;
  }

  @Override
  public boolean isSpecificPerWahlOrWahltermin() {
    return true;
  }

  @Override
  public String getPageMenuComponentName() {
    return StimmeingabePageMenu.COMPONENT_NAME;
  }

  @Override
  public ImportOptions getDefaultImportOptions() {
    return ImportOptions.NUR_BESTEHENDE_AKTUALISIEREN;
  }
}
